## ThunarRenamerProgress ThunarRenamerProgress |

## Functions

GtkWidget * | thunar_renamer_progress_new ()
void | thunar_renamer_progress_cancel ()
gboolean | thunar_renamer_progress_running ()
void | thunar_renamer_progress_run ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ThunarRenamerProgress

## Description

## Functions

### thunar_renamer_progress_new ()

    GtkWidget *
    thunar_renamer_progress_new (void);

Allocates a new ThunarRenamerProgress instance.

#### Returns

the newly allocated ThunarRenamerProgress.

### thunar_renamer_progress_cancel ()

    void
    thunar_renamer_progress_cancel (ThunarRenamerProgress *renamer_progress);

Cancels any pending rename operation for `renamer_progress` .

#### Parameters

renamer_progress | a ThunarRenamerProgress. |

### thunar_renamer_progress_running ()

    gboolean
    thunar_renamer_progress_running (ThunarRenamerProgress *renamer_progress);

Returns `TRUE` if `renamer_progress` is running.

#### Parameters

renamer_progress | a ThunarRenamerProgress. |

#### Returns

`TRUE` if `renamer_progress` is running.

### thunar_renamer_progress_run ()

    void
    thunar_renamer_progress_run (ThunarRenamerProgress *renamer_progress,
                                 GList *pair_list);

Renames all ThunarRenamePairs in the specified `pair_list` using the `renamer_progress` .

This method starts a new main loop, and returns only after the rename operation is done (or cancelled by a "destroy" signal).

#### Parameters

renamer_progress | a ThunarRenamerProgress. |
pair_list | a GList of ThunarRenamePairs. |